Get all Member Requests for Organization
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/member_requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/member_requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/member_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 2
},
"response": [
{
"body": {
"coverages": [
{
"carrier_config": {
"bill_group": "1000001",
"member_group": "99999"
},
"carrier_id": "d0003042-eaae-4491-b219-4825456a3d16",
"lines_of_coverage": {
"dental": {
"waiving_members": [
{
"id": "f471a562-fa8f-41c9-93fd-12b372e16c72",
"member_type": "employee",
"reason": "other-spouse-group"
}
]
}
}
}
]
},
"completed": 1557565200,
"created": 1557512389,
"employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"id": "4f57e463-f4d5-4255-83d4-806b0cabaac5",
"modified": 1557565200,
"request_type": "new_hire",
"status": "processing",
"transactions": [
"a6e30204-87b2-4802-95a4-a156bd0f7435"
]
},
{
"body": {
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"last_work_date": "2018-01-15",
"reason": "voluntary"
},
"completed": 1557565200,
"created": 1557512389,
"employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557565200,
"request_type": "termination",
"status": "processing",
"transactions": [
"f4ecdaa5-e019-4a24-98c7-2caee9a58ccd"
]
}
]
}Requests
Get Organization Member Request List
Returns a list of all member requests for a given organization. Each member request may have one or more associated member transactions.
GET
/
api
/
v1
/
member_requests
Get all Member Requests for Organization
The Member Request workflow is now deprecated in favor of using Member
Snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
Unique identifier of the employee in Noyo for which you would like to filter
The member request status for which you would like to filter
The member request type for which you would like to filter
Was this page helpful?
⌘I
